田草博客

互联网田草博客


网友交流QQ群:11740834 需注明申请加入原因

微信 公众号:ByCAD

邮箱:tiancao1001x126.com
ByCAD,微信公众号
首页 | 普通 | 电脑 | AutoCAD | VB/VB.NET | FLash | 结构 | 建筑 | 电影 | BIM | 规范 | 软件 | ID
-随机-|-分布-
-博客论坛-|-﨣﨤﨧﨨-
-网站导航-|-规范下载-
-BelovedFLash欣赏-

用户登陆
用户:
密码:
 

站点日历
73 2024 - 3 48
     12
3456789
10111213141516
17181920212223
24252627282930
31


站点统计

最新评论



在VB.NET中处理事件 CapturePreviewImage : API 捕捉预览图像
未知 在NET窗体/对话框中显示模型空间的一部分   [ 日期:2014-01-18 ]   [ 来自:本站原创 ]  HTML
原文来自:http://adndevblog.typepad.com/autocad/2012/05/showi ... -space-in-a-net-formdialog.html

Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.ApplicationServices
Public Class class1
    <CommandMethod("ViewForm")> _
    Public Sub ViewForm()
        Dim Frm As New ViewForm
        Application.ShowModelessDialog(Frm)
    End Sub
End Class


Imports acApp = Autodesk.AutoCAD.ApplicationServices.Application
Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.GraphicsSystem
Imports GI = Autodesk.AutoCAD.GraphicsInterface
Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.Geometry
Public Class ViewForm
    Dim device As Device
    Dim view As View
    Dim model As Model
    Private Sub Form_OnLoad(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim doc As Document = acApp.DocumentManager.MdiActiveDocument
        Dim db As Database = doc.Database
        Dim gsm As Manager = doc.GraphicsManager
        ' Create a device that will draw into our panel
        device = gsm.CreateAutoCADDevice(ViewPanel.Handle)
        ' Create a view and add it to the device
        view = New View
        device.Add(view)
        device.Update()
        Using tr As Transaction = _
                db.TransactionManager.StartTransaction()
            model = gsm.CreateAutoCADModel()
            Dim bt As BlockTable = _
                  tr.GetObject(db.BlockTableId, OpenMode.ForRead)
            Dim ms As BlockTableRecord = _
              tr.GetObject( _
                bt(BlockTableRecord.ModelSpace), OpenMode.ForRead)
            ' Add the model space to the view
            view.Add(ms, model)
            ' Make sure that the area that you want to show 
            ' lies between these two points
            view.ZoomExtents(New Point3d(-10, -10, 0), New Point3d(200, 200, 0))
            ' In case you want to show some solids in shaded mode
            view.Mode = Autodesk.AutoCAD.GraphicsSystem.RenderMode.GouraudShaded
            view.VisualStyle = _
              New GI.VisualStyle(GI.VisualStyleType.GouraudWithEdges)
            ' Just to make sure that not perspective but parallel 
            ' mode is used
            view.SetView(view.Position, view.Target, _
              view.UpVector, view.FieldWidth, _
              view.FieldHeight, Projection.Parallel)
        End Using
    End Sub
    Private Sub Panel_OnPaint( _
    ByVal sender As System.Object, _
    ByVal e As System.Windows.Forms.PaintEventArgs) _
    Handles ViewPanel.Paint
        ' Redraw the view
        view.Invalidate()
        view.Update()
    End Sub
    Private Sub Form_OnClosing( _
    ByVal sender As System.Object, _
    ByVal e As System.Windows.Forms.FormClosingEventArgs) _
    Handles MyBase.FormClosing
        ' Call dispose to free the underlying ObjectARX objects
        device.Dispose()
        view.Dispose()
        model.Dispose()
    End Sub
End Class


【在NET窗体对话框中显示模型空间的一部分.rar】点击下载此文件

[本日志由 tiancao1001 于 2014-01-18 11:27 PM 编辑]


暂时没有评论
发表评论 - 不要忘了输入验证码哦!
作者: 用户:  密码:   注册? 验证:  防止恶意留言请输入问题答案:2*8=?  
评论:

禁止表情
禁止UBB
禁止图片
识别链接
识别关键字

字体样式 文字大小 文字颜色
插入粗体文本 插入斜体文本 插入下划线
左对齐 居中对齐 右对齐
插入超级链接 插入邮件地址 插入图像
插入 Flash 插入代码 插入引用
插入列表 插入音频文件 插入视频文件
插入缩进符合
点击下载按钮 下标 上标
水平线 简介分割标记
表  情
 
Tiancao Blog All Rights Reserved 田草博客 版权所有
Copyright ©